> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udbuttongroupitem.md).

# New-UDButtonGroupItem

### Sinossi

Crea un nuovo elemento del gruppo di pulsanti.

### Sintassi

```powershell
New-UDButtonGroupItem [[-Id] <String>] [[-OnClick] <Endpoint>] [[-Text] <String>] [[-Href] <String>] [[-Icon] <Hashtable>] [-ShowLoading] [[-LoadingIndicator] <Object>] [[-LoadingPosition] <String>] [[-Sx] <Hashtable>] [[-Style] <Hashtable>] [<CommonParameters>]
```

### Descrizione

Crea un nuovo elemento del gruppo di pulsanti. Gli elementi del gruppo di pulsanti vengono utilizzati con New-UDButtonGroup.

### Parametri

#### -Id

L'ID del componente. Per impostazione predefinita è un GUID casuale.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClick

Un blocco di script da eseguire quando si fa clic sull'elemento dell'elenco.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Text

Il testo da visualizzare nell'elemento del gruppo di pulsanti.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Href

Un URL a cui l'utente deve essere reindirizzato quando fa clic sul pulsante.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

Un'icona da visualizzare nell'elemento del gruppo di pulsanti.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -ShowLoading [<SwitchParameter>]
        Displays a loading spinner while the OnClick event handler is running.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LoadingIndicator Un elemento personalizzato da visualizzare al posto dello spinner integrato per -ShowLoadingRequired?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-LoadingPositionLa posizione dell'indicatore di caricamento. I valori validi sono: 'start', 'end', 'center'Required?                    falsePosition?                    7Default value                centerAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SxRequired?                    falsePosition?                    8Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-StyleRequired?                    falsePosition?                    9Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Output--------------------------> EXAMPLE 1 --------------------------PS > Creates a new button group with two items.New-UDButtonGroup -Content {        New-UDButtonGroupItem -Text 'Delete'        New-UDButtonGroupItem -Text 'Copy'}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udbuttongroupitem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
